-- Lulu88520
-- Script pour la sous soleuse Agrisem Combiplow 36 de Alexandre4555
-- @date  27/08/16
-- https://www.facebook.com/paulo5090r/
--
-- FS17 : Lulu88520 27/12/16

COMBIPLOW36 = {};

function COMBIPLOW36.prerequisitesPresent(specializations)
	  return true;
end;

function COMBIPLOW36:load(savegame)		
	self.playerInRangeDentG = false;	
	self.playerInRangeDentD = false;

	self.rangeDentG = Utils.indexToObject(self.rootNode, getXMLString(self.xmlFile, "vehicle.rangeDentG#index"));	
	self.rangeDentD = Utils.indexToObject(self.rootNode, getXMLString(self.xmlFile, "vehicle.rangeDentD#index"));	
end;

function COMBIPLOW36:delete()
end;

function COMBIPLOW36:readStream(streamId, connection)
end;

function COMBIPLOW36:writeStream(streamId, connection)
end;

function COMBIPLOW36:mouseEvent(posX, posY, isDown, isUp, button)
end;

function COMBIPLOW36:keyEvent(unicode, sym, modifier, isDown) 
end;

function COMBIPLOW36:update(dt)
     if self.isClient and self.playerInRangeDentG then		
		local isKeyEvent = false;	
			if InputBinding.isPressed(InputBinding.IMPLEMENT_EXTRA) then
				self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
				isKeyEvent = true;
			elseif InputBinding.isPressed(InputBinding.LOWER_IMPLEMENT) then
				self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
				isKeyEvent = true;
			end;
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("SORTIR_DENT")), InputBinding.IMPLEMENT_EXTRA);
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("RENTRER_DENT")), InputBinding.LOWER_IMPLEMENT);				
	end;  

	if self.isClient and self.playerInRangeDentD then		
		local isKeyEvent = false;	
			if InputBinding.isPressed(InputBinding.IMPLEMENT_EXTRA) then
				self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[1].offSet*(dt/10)));
				isKeyEvent = true;
			elseif InputBinding.isPressed(InputBinding.LOWER_IMPLEMENT) then
				self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[1].offSet*(dt/10)));
				isKeyEvent = true;
			end;
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("SORTIR_DENT")), InputBinding.IMPLEMENT_EXTRA);
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("RENTRER_DENT")), InputBinding.LOWER_IMPLEMENT);				
	end;   

	
end;

function COMBIPLOW36:updateTick(dt) 
 	if g_currentMission.player ~= nil and self.isClient then
		local nearestDistance = 2.0;
		local px, py, pz = getWorldTranslation(self.rangeDentG);
		local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);
		local distance = Utils.vector3Length(px-vx, py-vy, pz-vz);
		if distance < nearestDistance then
			self.playerInRangeDentG = true;
		else
			self.playerInRangeDentG = false;
		end;
	end;
	
	if g_currentMission.player ~= nil and self.isClient then
		local nearestDistance = 2.0;
		local px, py, pz = getWorldTranslation(self.rangeDentD);
		local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);
		local distance = Utils.vector3Length(px-vx, py-vy, pz-vz);
		if distance < nearestDistance then
			self.playerInRangeDentD = true;
		else
			self.playerInRangeDentD = false;
		end;
	end;
end;

  
function COMBIPLOW36:onDetach()
end;

function COMBIPLOW36:onAttach()
end;

function COMBIPLOW36:draw() 
	
end;
